## org.jfree.base
Class BootableProjectInfo

    java.lang.Object
      org.jfree.base.Library
          org.jfree.base.BasicProjectInfo
              org.jfree.base.BootableProjectInfo

Direct Known Subclasses:
  ProjectInfo

    public class BootableProjectInfo

extends BasicProjectInfo

Project info for a bootable project. A bootable project provides a controlled way of initalizing all subsystems by providing a Boot loader implementation.

Author:
  Thomas Morgner

Constructor Summary
`BootableProjectInfo()` Creates a new instance.
`BootableProjectInfo(java.lang.String name, java.lang.String version, java.lang.String licence, java.lang.String info)` Creates a new library reference.
`BootableProjectInfo(java.lang.String name, java.lang.String version, java.lang.String info, java.lang.String copyright, java.lang.String licenceName)` Creates a new library reference.

Method Summary
`void` `addDependency(BootableProjectInfo projectInfo)` Adds a dependency.
`java.lang.String` `getBootClass()` Returns the name of the boot class.
`BootableProjectInfo[]` `getDependencies()` Returns the dependencies.
`boolean` `isAutoBoot()` Returns, whether the project should be booted automaticly.
`void` `setAutoBoot(boolean autoBoot)` Sets the auto boot flag.
`void` `setBootClass(java.lang.String bootClass)` Sets the boot class name.

Methods inherited from class org.jfree.base.BasicProjectInfo
`addLibrary, getCopyright, getLibraries, setCopyright, setInfo, setLicenceName, setName, setVersion`

Methods inherited from class org.jfree.base.Library
`getInfo, getLicenceName, getName, getVersion`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BootableProjectInfo

    public BootableProjectInfo()

  Creates a new instance.

### BootableProjectInfo

    public BootableProjectInfo(java.lang.String name,
                               java.lang.String version,
                               java.lang.String licence,
                               java.lang.String info)

  Creates a new library reference.

  Parameters:
    `name` - the name.
    `version` - the version.
    `licence` - the licence.
    `info` - the web address or other info.

### BootableProjectInfo

    public BootableProjectInfo(java.lang.String name,
                               java.lang.String version,
                               java.lang.String info,
                               java.lang.String copyright,
                               java.lang.String licenceName)

  Creates a new library reference.

  Parameters:
    `name` - the name.
    `version` - the version.
    `info` - the info (for example, the project URL).
    `copyright` - the copyright statement.
    `licenceName` - the license name.

Method Detail

### getDependencies

    public BootableProjectInfo[] getDependencies()

  Returns the dependencies.

  Returns:
    The dependencies.

### addDependency

    public void addDependency(BootableProjectInfo projectInfo)

  Adds a dependency.

  Parameters:
    `projectInfo` - the project.

### getBootClass

    public java.lang.String getBootClass()

  Returns the name of the boot class.

  Returns:
    The name of the boot class.

### setBootClass

    public void setBootClass(java.lang.String bootClass)

  Sets the boot class name.

  Parameters:
    `bootClass` - the boot class name.

### isAutoBoot

    public boolean isAutoBoot()

  Returns, whether the project should be booted automaticly.

  Returns:
    The auto-boot flag.

### setAutoBoot

    public void setAutoBoot(boolean autoBoot)

  Sets the auto boot flag.

  Parameters:
    `autoBoot` - true, if the project should be booted automaticly, false otherwise.